/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.toolbox.ui;

import com.arsdigita.bebop.list.ListModel;
import com.arsdigita.kernel.ACSObjectCollection;

public class ACSObjectCollectionListModel implements ListModel {

    ACSObjectCollection m_collection;

    public ACSObjectCollectionListModel(ACSObjectCollection collection) {
        m_collection = collection;
    }

    protected final ACSObjectCollection getCollection() {
        return m_collection;
    }

    public boolean next() {
        return (m_collection.next());
    }

    public Object getElement() {
        return m_collection.getDisplayName();
    }

    public String getKey() {
        return m_collection.getID().toString();
    }
}
